<?xml version="1.0"?>
<doc>
    <assembly>
        <name>Keysystems.Core.Functions</name>
    </assembly>
    <members>
        <member name="T:Keysystems.Core.Functions.TemplateFunctions">
            <summary>
            Шаблонные функции ядра
            Не переименовывать класс и namespace!
            </summary>
        </member>
        <member name="F:Keysystems.Core.Functions.TemplateFunctions.m_methods">
            <summary>
            Коллекция наименований публичных методов
            </summary>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.GetMonths">
            <summary>
            Получить массив месяцев
            </summary>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.getMonthString(System.DateTime,System.Boolean)">
            <summary>
            Месяц прописью
            </summary>
            <param name="dt">Дата</param>
            <param name="padeg">склонять или нет</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.getDatePart(System.Int32,System.Object)">
            <summary>
            Функция выделения элемента из даты (день, месяц, год)
            </summary>
            <param name="obj">объект типа DateTime</param>
            <param name="mode">режим (1 - день, 2 - месяц, 3 - год, 4 - день недели, 5 - день года)</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.getStrPart(System.Int32,System.Object,System.Object,System.Object)">
            <summary>
            Функция получения подстроки из строки
            </summary>
            <param name="mode">Режим (1 - слева, 2 - справа, 3 - подстрока)</param>
            <param name="obj">Переменная типа String</param>
            <param name="int1">Переменная типа Integer</param>
            <param name="int2">Переменная типа Integer</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.getStrPart(System.Int32,System.Object,System.Object)">
            <summary>
            Функция получения подстроки из строки
            </summary>
            <param name="mode">Режим (1 - слева, 2 - справа)</param>
            <param name="obj">Переменная типа String</param>
            <param name="int1">Переменная типа Integer</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.getLogical(System.Int32,System.Object,System.Object)">
            <summary>
            Функция расчета логического выражения
            </summary>
            <param name="mode">1 - AND, 2 - OR</param>
            <param name="obj1"></param>
            <param name="obj2"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.Padeg(System.String,System.Int16,Slepov.Russian.Morpher.Признак[])">
            <summary>
            Склоняет строку
            </summary>
            <param name="str">Строка в именительном падеже</param>
            <param name="padeg">№ падежа (2 – родительный, 3 – дательный и т.д.)</param>
            <param name="признаки">дополнительная информация о входном словосочетании</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ВЫБОР(System.Object,System.Double[])">
            <summary>
            Функция выбора параметра из списка
            </summary>
            <param name="v">Номер параметра (с единицы)</param>
            <param name="variant">Список параметров</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ВЫБОР(System.Object,System.String[])">
            <summary>
            Функция выбора параметра из списка
            </summary>
            <param name="v">Номер параметра (с единицы)</param>
            <param name="variant">Список параметров</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ГОД(System.Object)">
            <summary>
            Функция получения года из даты. Результат: числовое выражение года
            </summary>
            <param name="d">Дата</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ДАТАПРОП(System.Object,System.Int32)">
            <summary>
            Дата прописью
            </summary>
            <param name="objDate">дата</param>
            <param name="mode">0 - месяц прописью, год 4 знака; 2 - месяц цифрами, год 2 знака; 4 - месяц цифрами, год 4 знака</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ДАТАСЛЕД(System.Object,System.Int32)">
            <summary>
            Дата следующая
            </summary>
            <param name="objDate">дата</param>
            <param name="mode">0 - месяц прописью, год 4 знака; 2 - месяц цифрами, год 2 знака; 4 - месяц цифрами, год 4 знака</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ДАТА(System.Int32,System.Int32,System.Int32)">
            <summary>
            
            </summary>
            <param name="Year"></param>
            <param name="Month"></param>
            <param name="Day"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ДЕНЬ(System.Object)">
            <summary>
            Функция получения дня из даты
            </summary>
            <param name="d">Дата</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ДЕНЬНЕДЕЛИ(System.Object)">
            <summary>
            Функция получения дня недели
            </summary>
            <param name="d">Дата</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ДОБАВИТЬДНИ(System.DateTime,System.Double)">
            <summary>
            Функция добавления дней к указанной дате
            </summary>
            <param name="dt">переменная даты</param>
            <param name="d">количество дней (с минусом - отнять дни)</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ДОБАВИТЬДНИ(System.Nullable{System.DateTime},System.Double)">
            <summary>
            
            </summary>
            <param name="dt"></param>
            <param name="d"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ДН(System.Object,System.Object)">
            <summary>
            Функция нахождения числа дней в периоде
            </summary>
            <param name="d1">Начало периода</param>
            <param name="d2">Конец периода</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ДН(System.DateTime,System.DateTime)">
            <summary>
            Функция нахождения числа дней в периоде
            </summary>
            <param name="d1">Начало периода</param>
            <param name="d2">Конец периода</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ПЕРИОД(System.Object,System.Object,System.Int16,System.Int16)">
            <summary>
            Период по заданным датам
            </summary>
            <param name="date1">Дата начала периода</param>
            <param name="date2">Дата окончания периода</param>
            <param name="arg1"> параметр
            0 - период, включающий обе даты
            1 - сокращенный период 
            </param>
            <param name="arg2"> месяц
            0 - месяц числом
            1 - месяц прописью                
            2 - период вида "... - ...."
            </param>
            Примеры: 
            >>ПЕРИОД('01.01.2006','31.03.2007',0,1)     =   c 01 января 2006 по 31 марта 2007 
            >>ПЕРИОД('01.01.2006','31.03.2007',0,2)     =   01.01.2006 - 31.03.2007         
            >>ПЕРИОД('01.01.2006','31.03.2006',1,0)     =   2006
            >>ПЕРИОД('01.01.2006','31.03.2006',1,1)     =   I квартал 2006
            <returns></returns>        
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.МЕСЯЦПРОП(System.DateTime,System.Boolean)">
            <summary>
            Месяц прописью
            </summary>
            <param name="dt">дата</param>
            <param name="padeg">склонять?</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.МЕСЯЦПРОП2(System.Double,System.Boolean)">
            <summary>
            Месяц прописью
            Для Бюджета
            </summary>
            <param name="dt">Числовое определение месяца</param>
            <param name="padeg">склонять?</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.МЕСЯЦПРОП2(System.Nullable{System.Int32},System.Boolean)">
            <summary>
            Месяц прописью
            Для Бюджета
            </summary>
            <param name="dt">Числовое определение месяца</param>
            <param name="padeg">склонять?</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.МЕСЯЦПРОП(System.Nullable{System.DateTime},System.Boolean)">
            <summary>
            Месяц прописью
            </summary>
            <param name="dt">дата</param>
            <param name="padeg">склонять?</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.МЕСЯЦПРОП(System.String,System.Boolean)">
            <summary>
            Месяц прописью
            </summary>
            <param name="dt">дата</param>
            <param name="padeg">склонять?</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.МЕСЯЦ(System.Object)">
            <summary>
            Функция получения номера месяца из даты
            </summary>
            <param name="d">Дата</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.MONTH(System.Object)">
            <summary>
            Перегрузка метода МЕСЯЦ
            </summary>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.M_EVAL(System.String,System.String,System.String,System.String,System.String,System.String,System.String,System.String,System.String)">
            <summary>
            
            </summary>
            <param name="str"></param>
            <param name="a1"></param>
            <param name="a2"></param>
            <param name="b1"></param>
            <param name="b2"></param>
            <param name="c1"></param>
            <param name="c2"></param>
            <param name="d1"></param>
            <param name="d2"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.СЕГОДНЯ">
            <summary>
            Текущая дата
            </summary>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.КВАРТАЛ(System.Object)">
            <summary>
            Номер квартала
            </summary>
            <param name="d">дата</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ДЛСТР(System.String)">
            <summary>
            Функция определения длины строки
            </summary>
            <param name="str"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ДОПСПРАВА(System.String,System.String,System.Int32)">
            <summary>
            Функция дополнения строки определёнными символами
            </summary>
            <param name="str">обрабатываемая строка</param>
            <param name="symbol">добавляемый символ (подстрока)</param>
            <param name="length">размерность результата (в символах)</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ДОПСЛЕВА(System.String,System.String,System.Int32)">
            <summary>
            Функция дополнения строки определёнными символами
            </summary>
            <param name="str">обрабатываемая строка</param>
            <param name="symbol">добавляемый символ (подстрока)</param>
            <param name="length">размерность результата (в символах)</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ЛЕВСТР(System.String,System.Int32)">
            <summary>
            Левая часть строки
            </summary>
            <param name="str">Строка</param>
            <param name="len">Длина подстроки</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ЛЕВСИМВ(System.String,System.Int32)">
            <summary>
            Левая часть строки
            Для Бюджета
            </summary>
            <param name="str">Строка</param>
            <param name="len">Длина подстроки</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ПРАВСТР(System.String,System.Int32)">
            <summary>
            Правая часть строки
            </summary>
            <param name="str">Строка</param>
            <param name="len">Длина подстроки</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ПРАВСИМВ(System.String,System.Int32)">
            <summary>
            Правая часть строки
            Для Бюджета
            </summary>
            <param name="str">Строка</param>
            <param name="len">Длина подстроки</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ПОВТОР(System.String,System.Int32)">
            <summary>
            Повторить строку/символ count раз
            </summary>
            <param name="ch">строка/символ для повтора</param>
            <param name="count">количество повторов</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ПОДСТАВИТЬ(System.String,System.String,System.String)">
            <summary>
            Заменить указанную часть строки новой строкой
            Для Бюджета
            </summary>
            <param name="str">Строка</param>
            <param name="substr">Заменяемая подстрока</param>
            <param name="substr2">Заменяющая подстрока</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ПОДСТАВИТЬ(System.Nullable{System.Double},System.String,System.String)">
            <summary>
            
            </summary>
            <param name="num"></param>
            <param name="substr"></param>
            <param name="substr2"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ПРОПИСН(System.Object)">
            <summary>
            Преобразование всех букв в прописные.
            </summary>
            <param name="obj">Строка для преобразований</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ПРОПНАЧ(System.Object)">
            <summary>
            Преобразование первой буквы в строке в прописную.
            </summary>
            <param name="obj">Строка для преобразований</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.СИМВОЛ(System.Byte)">
            <summary>
            Получить символьное представление числа
            Для Бюджета
            </summary>
            <param name="b">Число</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.СТРОЧН(System.Object)">
            <summary>
            Преобразование всех букв в строчные.
            </summary>
            <param name="obj">Строка для преобразований</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.СТРОЧНАЧ(System.Object)">
            <summary>
            Преобразование первой буквы в строке в строчную.
            </summary>
            <param name="obj">Строка для преобразований</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.СЖПРОБЕЛЫ(System.String)">
            <summary>
            Сжать пробелы по краям
            </summary>
            <param name="str">Строка</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.СЖ(System.String)">
            <summary>
            Сжать пробелы по краям
            </summary>
            <param name="str">Строка</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.СЖ(System.Object)">
            <summary>
            Сжать пробелы по краям
            </summary>
            <param name="obj">Строка</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.НАЙТИ(System.Object,System.Object)">
            <summary>
            Функция определения позиции подстроки в строке
            </summary>
            <param name="what">Что ищем</param>
            <param name="where">Где ищем</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ПСТР(System.String,System.Int32)">
            <summary>
            Подстрока
            </summary>
            <param name="str">строка</param>
            <param name="start">начальная позиция подстроки</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ПСТР(System.String,System.Int32,System.Int32)">
            <summary>
            Подстрока
            </summary>
            <param name="str">строка</param>
            <param name="start">начальная позиция подстроки</param>
            <param name="len">длина подстроки</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ПАДЕЖФИ(System.String,System.Int16)">
            <summary>
            Склоняет ФИО, преобразует в ФИ (фамилию и инициалы)
            </summary>
            <param name="fio">ФИО в именительном падеже (Фамилия Имя Отчество)</param>
            <param name="padeg">№ падежа (2 – родительный, 3 – дательный и т.д.)</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ПАДЕЖИФ(System.String,System.Int16)">
            <summary>
            Склоняет ФИО, преобразует в ИФ (инициалы и фамилию)
            </summary>
            <param name="fio">ФИО в именительном падеже (Фамилия Имя Отчество)</param>
            <param name="padeg">№ падежа (2 – родительный, 3 – дательный и т.д.)</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ПАДЕЖФИО(System.String,System.Int16)">
            <summary>
            Склоняет ФИО
            </summary>
            <param name="fio">ФИО в именительном падеже (Фамилия Имя Отчество)</param>
            <param name="padeg">№ падежа (2 – родительный, 3 – дательный и т.д.)</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ПАДЕЖФИО(System.String,System.Int32,System.Int16)">
             <summary>
             Склоняет ФИО (с указанием пола)
             </summary>
             <param name="fio">ФИО в именительном падеже (Фамилия Имя Отчество)</param>
            <param name="sex">Пол (0 - женский, остальное мужской)</param>
             <param name="padeg">№ падежа (2 – родительный, 3 – дательный и т.д.)</param>
             <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ПАДЕЖ(System.String,System.Int16)">
            <summary>
            Склоняет строку
            </summary>
            <param name="str">Строка в именительном падеже</param>
            <param name="padeg">№ падежа (2 – родительный, 3 – дательный и т.д.)</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ОСТАТ(System.Double,System.Double)">
            <summary>
            Получить остаток от деления
            </summary>
            <param name="num"></param>
            <param name="del"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ТЕКСТ(System.Object)">
            <summary>
            Преобразовать в текст
            </summary>
            <param name="obj"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ТЕКСТ(System.Object,System.String)">
            <summary>
            Преобразовать в текст
            </summary>
            <param name="obj"></param>
            <param name="format"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.formated_num(System.Object,System.String)">
            <summary>
            Форматирование числа
            </summary>
            <param name="num"></param>
            <param name="lcFormat"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.STR(System.Object)">
            <summary>
            SQL
            </summary>
            <param name="obj"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.SPACE(System.Int32)">
            <summary>
            Пробел
            </summary>
            <param name="length">Количество пробелов</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.SUBSTR(System.String,System.Int32,System.Int32)">
            <summary>
            Перегруз метода ПСТР
            </summary>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ALLT(System.String)">
            <summary>
            Сжать пробелы по краям
            </summary>
            <param name="str">Строка</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.PADR(System.String,System.Int32)">
            <summary>
            Взять несколько первых символов из строки
            </summary>
            <param name="str">обрабатываемая строка</param>
            <param name="len">длина подстроки</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.PADR(System.Object,System.Int32)">
            <summary>
            Взять несколько первых символов из строки
            </summary>
            <param name="obj">обрабатываемая строка</param>
            <param name="len">длина подстроки</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ABS(System.Object)">
            <summary>
            Число по модулю
            </summary>
            <param name="num">число</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ЧИСЛОПРОП(System.Object,System.Boolean,System.Boolean,System.Boolean)">
            <summary>
            
            </summary>
            <param name="nm_num"></param>
            <param name="nm_propis"></param>
            <param name="nm_padeg"></param>
            <param name="nm_equ"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ЧИСЛОПРОП(System.Nullable{System.Double},System.Boolean,System.Boolean,System.Boolean)">
            <summary>
            
            </summary>
            <param name="nm_num"></param>
            <param name="nm_propis"></param>
            <param name="nm_padeg"></param>
            <param name="nm_equ"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ЧИСЛОПРОП(System.Double,System.Boolean,System.Boolean,System.Boolean)">
            <summary>
            Число прописью
            </summary>
            <param name="nm_num">Число</param>
            <param name="nm_propis">прописью или не прописью</param>
            <param name="nm_padeg">учитывать падеж копеек</param>
            <param name="nm_equ">вместо 00 копеек ставить =</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.МАКС(System.Double)">
            <summary>
            Получить максимум
            Для Бюджета
            </summary>
            <param name="number">Число</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.МИН(System.Double)">
            <summary>
            Получить минимум
            Для Бюджета
            </summary>
            <param name="number">Число</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.НОМЕРПП2(System.Object,System.Boolean)">
            <summary>
            Получить порядковый номер
            Для Бюджета
            </summary>
            <param name="number">Число</param>
            <param name="empty">Учитывать пустые</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ОКРУГЛ(System.Double,System.Double)">
            <summary>
            Округление
            Для Бюджета
            </summary>
            <param name="number">Число</param>
            <param name="dig">Число знаков</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ОТБР(System.Double,System.Double)">
            <summary>
            Отбросить знаки
            Для Бюджета
            </summary>
            <param name="number">Число</param>
            <param name="dig">Число знаков</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.СУММ(System.Double)">
            <summary>
            Сумма
            Для Бюджета
            </summary>
            <param name="number">Число</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.СУММЕСЛИ(System.Object,System.Double,System.Double)">
            <summary>
            Суммировать ячейки, заданные условием
            Для Бюджета
            </summary>
            <param name="diapazon">Диапазон</param>
            <param name="cond">Условие</param>
            <param name="diapazonsumm">Диапазон суммирования</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.СУММЕСЛИ(System.Object,System.String,System.Double)">
            <summary>
            Суммировать ячейки, заданные условием
            Для Бюджета
            </summary>
            <param name="diapazon">Диапазон</param>
            <param name="cond">Условие</param>
            <param name="diapazonsumm">Диапазон суммирования</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ЦЕЛОЕ(System.Object)">
            <summary>
            Отбросить дробные знаки
            Для Бюджета
            </summary>
            <param name="number">Число</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ВСПИСКЕ(System.Object,System.Object[])">
            <summary>
            Проверка наличия определённого елемента в списке параметров
            </summary>
            <param name="elem">Элемент поиска</param>
            <param name="param">Параметры</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ИЛИ(System.Object[])">
            <summary>
            Логическое ИЛИ
            </summary>
            <param name="param">Параметры</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ИЛИ(System.Object,System.Object)">
            <summary>
            Логическое ИЛИ
            </summary>
            <param name="a">Левый параметр</param>
            <param name="b">Правый параметр</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ИЛИ(System.Object,System.Object,System.Object)">
            <summary>
            
            </summary>
            <param name="a"></param>
            <param name="b"></param>
            <param name="c"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ИЛИ(System.Object,System.Object,System.Object,System.Object)">
            <summary>
            
            </summary>
            <param name="a"></param>
            <param name="b"></param>
            <param name="c"></param>
            <param name="d"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ИЛИ(System.Object,System.Object,System.Object,System.Object,System.Object)">
            <summary>
            
            </summary>
            <param name="a"></param>
            <param name="b"></param>
            <param name="c"></param>
            <param name="d"></param>
            <param name="e"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ИЛИ(System.Object,System.Object,System.Object,System.Object,System.Object,System.Object)">
            <summary>
            
            </summary>
            <param name="a"></param>
            <param name="b"></param>
            <param name="c"></param>
            <param name="d"></param>
            <param name="e"></param>
            <param name="f"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ИЛИ(System.Object,System.Object,System.Object,System.Object,System.Object,System.Object,System.Object)">
            <summary>
            
            </summary>
            <param name="a"></param>
            <param name="b"></param>
            <param name="c"></param>
            <param name="d"></param>
            <param name="e"></param>
            <param name="f"></param>
            <param name="g"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ИЛИ(System.Object,System.Object,System.Object,System.Object,System.Object,System.Object,System.Object,System.Object)">
            <summary>
            
            </summary>
            <param name="a"></param>
            <param name="b"></param>
            <param name="c"></param>
            <param name="d"></param>
            <param name="e"></param>
            <param name="f"></param>
            <param name="g"></param>
            <param name="h"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ИЛИ(System.Object,System.Object,System.Object,System.Object,System.Object,System.Object,System.Object,System.Object,System.Object)">
            <summary>
            
            </summary>
            <param name="a"></param>
            <param name="b"></param>
            <param name="c"></param>
            <param name="d"></param>
            <param name="e"></param>
            <param name="f"></param>
            <param name="g"></param>
            <param name="h"></param>
            <param name="i"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ИЛИ(System.Object,System.Object,System.Object,System.Object,System.Object,System.Object,System.Object,System.Object,System.Object,System.Object)">
            <summary>
            
            </summary>
            <param name="a"></param>
            <param name="b"></param>
            <param name="c"></param>
            <param name="d"></param>
            <param name="e"></param>
            <param name="f"></param>
            <param name="g"></param>
            <param name="h"></param>
            <param name="i"></param>
            <param name="j"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.И(System.Object[])">
            <summary>
            Логическое И
            </summary>
            <param name="param">Параметры</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.И(System.Object,System.Object)">
            <summary>
            Логическое И
            </summary>
            <param name="a">Левый параметр</param>
            <param name="b">Правый параметр</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.И(System.Object,System.Object,System.Object)">
            <summary>
            
            </summary>
            <param name="a"></param>
            <param name="b"></param>
            <param name="c"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.И(System.Object,System.Object,System.Object,System.Object)">
            <summary>
            
            </summary>
            <param name="a"></param>
            <param name="b"></param>
            <param name="c"></param>
            <param name="d"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.И(System.Object,System.Object,System.Object,System.Object,System.Object)">
            <summary>
            
            </summary>
            <param name="a"></param>
            <param name="b"></param>
            <param name="c"></param>
            <param name="d"></param>
            <param name="e"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.И(System.Object,System.Object,System.Object,System.Object,System.Object,System.Object)">
            <summary>
            
            </summary>
            <param name="a"></param>
            <param name="b"></param>
            <param name="c"></param>
            <param name="d"></param>
            <param name="e"></param>
            <param name="f"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.И(System.Object,System.Object,System.Object,System.Object,System.Object,System.Object,System.Object)">
            <summary>
            
            </summary>
            <param name="a"></param>
            <param name="b"></param>
            <param name="c"></param>
            <param name="d"></param>
            <param name="e"></param>
            <param name="f"></param>
            <param name="g"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.И(System.Object,System.Object,System.Object,System.Object,System.Object,System.Object,System.Object,System.Object)">
            <summary>
            
            </summary>
            <param name="a"></param>
            <param name="b"></param>
            <param name="c"></param>
            <param name="d"></param>
            <param name="e"></param>
            <param name="f"></param>
            <param name="g"></param>
            <param name="h"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.И(System.Object,System.Object,System.Object,System.Object,System.Object,System.Object,System.Object,System.Object,System.Object)">
            <summary>
            
            </summary>
            <param name="a"></param>
            <param name="b"></param>
            <param name="c"></param>
            <param name="d"></param>
            <param name="e"></param>
            <param name="f"></param>
            <param name="g"></param>
            <param name="h"></param>
            <param name="i"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.И(System.Object,System.Object,System.Object,System.Object,System.Object,System.Object,System.Object,System.Object,System.Object,System.Object)">
            <summary>
            
            </summary>
            <param name="a"></param>
            <param name="b"></param>
            <param name="c"></param>
            <param name="d"></param>
            <param name="e"></param>
            <param name="f"></param>
            <param name="g"></param>
            <param name="h"></param>
            <param name="i"></param>
            <param name="j"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ИНН(System.String,System.String)">
            <summary>
            Функция преобразования кода ИНН
            </summary>
            <param name="inn">Код ИНН</param>
            <param name="cpp">Признак КПП</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.НЕ(System.Boolean)">
            <summary>
            Отрицание (инверсия)
            </summary>
            <param name="b"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ЕПУСТО(System.Nullable{System.Int32})">
            <summary>
            Проверка на пустое значение
            </summary>
            <param name="i"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ЕПУСТО(System.Nullable{System.Double})">
            <summary>
            
            </summary>
            <param name="d"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ЕПУСТО(System.Int32)">
            <summary>
            
            </summary>
            <param name="i"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ЕПУСТО(System.Double)">
            <summary>
            
            </summary>
            <param name="d"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ЕПУСТО(System.String)">
            <summary>
            
            </summary>
            <param name="str"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ЕПУСТО(System.Object)">
            <summary>
            
            </summary>
            <param name="obj"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ЕСЛИ(System.Boolean,System.Object)">
            <summary>
            
            </summary>
            <param name="b"></param>
            <param name="o1"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ЕСЛИ(System.Boolean,System.String,System.String)">
            <summary>
            
            </summary>
            <param name="b"></param>
            <param name="str1"></param>
            <param name="str2"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ЕСЛИ(System.Boolean,System.Int32,System.Int32)">
            <summary>
            
            </summary>
            <param name="b"></param>
            <param name="i1"></param>
            <param name="i2"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ЕСЛИ(System.Boolean,System.Boolean,System.Boolean)">
            <summary>
            
            </summary>
            <param name="b"></param>
            <param name="i1"></param>
            <param name="i2"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ЕСЛИ(System.Boolean,System.Double,System.Double)">
            <summary>
            
            </summary>
            <param name="b"></param>
            <param name="d1"></param>
            <param name="d2"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ЕСЛИ(System.Boolean,System.Nullable{System.Double},System.Nullable{System.Double})">
            <summary>
            
            </summary>
            <param name="b"></param>
            <param name="d1"></param>
            <param name="d2"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ЕСЛИ(System.Boolean,System.Object,System.Object)">
            <summary>
            
            </summary>
            <param name="b"></param>
            <param name="o1"></param>
            <param name="o2"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ЕСЛИ(System.Object,System.Object)">
            <summary>
            
            </summary>
            <param name="o"></param>
            <param name="o1"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.ЕСЛИ(System.Object,System.Object,System.Object)">
            <summary>
            
            </summary>
            <param name="o"></param>
            <param name="o1"></param>
            <param name="o2"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.IIF(System.Boolean,System.String,System.String)">
            <summary>
            
            </summary>
            <param name="b"></param>
            <param name="str1"></param>
            <param name="str2"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.IIF(System.Boolean,System.Int32,System.Int32)">
            <summary>
            
            </summary>
            <param name="b"></param>
            <param name="str1"></param>
            <param name="str2"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.IIF(System.Boolean,System.Boolean,System.Boolean)">
            <summary>
            
            </summary>
            <param name="b"></param>
            <param name="str1"></param>
            <param name="str2"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.IIF(System.Boolean,System.Double,System.Double)">
            <summary>
            
            </summary>
            <param name="b"></param>
            <param name="str1"></param>
            <param name="str2"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.IIF(System.Boolean,System.Object,System.Object)">
            <summary>
            
            </summary>
            <param name="b"></param>
            <param name="str1"></param>
            <param name="str2"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.IIF(System.Object,System.Object,System.Object)">
            <summary>
            
            </summary>
            <param name="b"></param>
            <param name="str1"></param>
            <param name="str2"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.EMPTY(System.String)">
            <summary>
            Fox
            </summary>
            <param name="str"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.CHR(System.Int32)">
            <summary>
            SQL
            </summary>
            <param name="i"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.DTOC(System.Nullable{System.DateTime})">
            <summary>
            SQL
            </summary>
            <param name="dt"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.TTOC(System.Nullable{System.DateTime})">
            <summary>
            SQL
            </summary>
            <param name="dt"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.NVL(System.Nullable{System.Double},System.Double)">
            <summary>
            Вернуть второй аргумент, в случае если первый пуст
            </summary>
            <param name="d1">первый аргумент</param>
            <param name="d2">второй аргумент</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.NVL(System.Object,System.Object)">
            <summary>
            Вернуть второй аргумент, в случае если первый пуст
            </summary>
            <param name="o1">первый аргумент</param>
            <param name="o2">второй аргумент</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.NVL(System.Object,System.String)">
            <summary>
            Вернуть второй аргумент, в случае если первый пуст
            </summary>
            <param name="o1">первый аргумент</param>
            <param name="s2">второй аргумент</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.NVL(System.String,System.String)">
            <summary>
            Вернуть второй аргумент, в случае если первый пуст
            </summary>
            <param name="s1">первый аргумент</param>
            <param name="s2">второй аргумент</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.VAL(System.String)">
            <summary>
            Перевести строку в число
            </summary>
            <param name="s">первый аргумент</param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.INT(System.Object)">
            <summary>
            Реализация для SQL
            </summary>
            <param name="o"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.LEFT(System.String,System.Int32)">
            <summary>
            Левая часть строки (SQL)
            </summary>
            <param name="str"></param>
            <param name="len"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.LEN(System.String)">
            <summary>
            Функция определения длины строки
            </summary>
            <param name="str"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Functions.TemplateFunctions.СЧЁТЧИК">
            <summary>
            Заглушка для счётчика
            </summary>
            <returns></returns>
        </member>
        <member name="T:Keysystems.Core.Functions.FunctionAttribute">
            <summary>
             Атрибут функции для использования в формуле
            </summary>
        </member>
        <member name="M:Keysystems.Core.Functions.FunctionAttribute.#ctor(System.String,System.String,System.String)">
            <summary>
             Конструктор
            </summary>
            <param name="description">Описание функции</param>
            <param name="paramsDescription">Описание параметров функции</param>
            <param name="category">Категория</param>
        </member>
        <member name="M:Keysystems.Core.Functions.FunctionAttribute.#ctor(System.String,System.String,System.String,System.String)">
            <summary>
            Конструктор
            </summary>
            <param name="example">Пример использования</param>
            <param name="description">Описание функции</param>
            <param name="paramsDescription">Описание параметров функции</param>
            <param name="category">Категория</param>
        </member>
        <member name="P:Keysystems.Core.Functions.FunctionAttribute.Description">
            <summary>
            Описание функции
            </summary>
        </member>
        <member name="P:Keysystems.Core.Functions.FunctionAttribute.ParamsDescription">
            <summary>
            Описание параметров функции в виде "Описание1~Имя1~Тип1|Описание2~Имя2~Тип2|.."
            ИмяN и ТипN можно не указывать: "Описание1|.."
            </summary>
        </member>
        <member name="P:Keysystems.Core.Functions.FunctionAttribute.Category">
            <summary>
             Категория
            </summary>
        </member>
        <member name="P:Keysystems.Core.Functions.FunctionAttribute.Name">
            <summary>
             Имя функции, если оно не совпадает с именем реализующего функцию метода
            </summary>
        </member>
        <member name="P:Keysystems.Core.Functions.FunctionAttribute.Example">
            <summary>
            Пример использования
            </summary>
        </member>
    </members>
</doc>
